Bug 169987 - allow URL to be associated with a task
allow URL to be associated with a task
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: Tasklist
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
tasklist-issues@contrib
: API, API_REVIEW_FAST
Depends on:
Blocks: 169975
  Show dependency treegraph
 
Reported: 2009-08-06 14:31 UTC by Stanislav Aubrecht
Modified: 2009-08-13 11:39 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
proposed changes (14.99 KB, patch)
2009-08-06 14:49 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2009-08-06 14:31:43 UTC
there's a requirement to show bug tracking issues in task list window. since the issues are usually represented by an
URL the task list API must be extended to accept URL as a parameter when creating new tasks.
Comment 1 Stanislav Aubrecht 2009-08-06 14:49:41 UTC
Created attachment 85910 [details]
proposed changes
Comment 2 Jaroslav Tulach 2009-08-07 09:27:03 UTC
Y01 @since tag on the PushTaskScanner method addition

Y02 One note says that Action cannot work on file based scanners. This imho fixable. For presentation in the task list 
you can use the indexes, as soon as user clicks on an action, you can rescan the file again and find the matching 
action and invoke it. In most cases it shall be there, in the other rare ones a warning and the task disappearing 
could be appropriate.
Comment 3 Stanislav Aubrecht 2009-08-07 10:07:51 UTC
y01 - fixed

y02 - seems a bit hacky to me. i'd rather leave it as it is now and provide a proper fix later on when somebody actually
needs to persist task action(s)
Comment 4 Jaroslav Tulach 2009-08-10 12:42:05 UTC
Y02 has been reported as separate issue 170130.
Comment 5 Stanislav Aubrecht 2009-08-12 09:09:18 UTC
if there are no more comments i'll commit the changes tomorrow (august 13th)
Comment 6 Stanislav Aubrecht 2009-08-13 11:39:32 UTC
core-main 40bc31c126ac


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo